@echo off
cd %~dp0
set "locp="
set "space=     "
set namep=%~1%
set langp=%~2%
path ..\..\..\cross_tools

if "%langp%"=="" set "lang=en"
set "locp="
set "space=     "
if "%langp%"=="ru" set "locp=--dos866"
echo %space% INCLUDE "%langp%.asm" > local.asm
echo compile lang=%langp%
cd .\%namep%
sjasmplus %locp% --color=off %namep%.asm 2> sjasmplus_%langp%.log
move "*.add" ..\..\%langp%\
 

